package edu.unl.consystlab.sudoku;


public interface Game
{
	//public void setGrid(Grid grid);
	public Griddable getGrid();
	public void setOptimization(int level);
	public void inform(String msg);
	public void solverDone(boolean resultOk);
	public int getSpeedPct();
	public int getProgressPct();	
	
	public void solve();
	public void stop();
	public void clear();
	public void quit();
	public void lockToggle();
	public void load();
	public void save();
}
